Bug 198153 - can't import PPD with forward slash in ShortNickName
can't import PPD with forward slash in ShortNickName
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 08:02 EDT by Andrew Ziem
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-14 08:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Ziem 2006-07-10 08:02:26 EDT
Description of problem:
This .PPD has a forward slash in the ShortNickName, so system-config-printer
gets confused when it tries to create a file name based on ShortNickName.

TOSHIBA e-STUDIO352 
http://www.eid.toshiba.com/support/drivers/driverfiles/ebridge450/v150cd/TOSHIBA_EST450_452_CUPS.gz



Version-Release number of selected component (if applicable):
system-config-printer-0.6.151.7-1

How reproducible:
Always

Steps to Reproduce:
1. wget
http://www.eid.toshiba.com/support/drivers/driverfiles/ebridge450/v150cd/TOSHIBA_EST450_452_CUPS.gz
2. gzip -d TOSHIBA_EST450_452_CUPS.gz
3. Import this PPD
  
Actual results:
An error message

Expected results:
It works

Additional info:
If you remove the forward slash from ShortNickName, it works.
Comment 1 Tim Waugh 2006-07-14 08:30:47 EDT
In FC6 there will be no need to import PPDs; they can be used as they are.

Note You need to log in before you can comment on or make changes to this bug.